Bug 222589 - net-mgmt/netdata: Failure building package for netdata-1.8.0
Summary: net-mgmt/netdata: Failure building package for netdata-1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mahdi Mokhtari
URL: https://reviews.freebsd.org/D12477
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-25 11:17 UTC by elofu17
Modified: 2017-09-26 09:29 UTC (History)
0 users

See Also:
mmokhi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elofu17 2017-09-25 11:17:08 UTC
Netdata has just been upgraded from v1.7.0 to v1.8.0. When I try to build this new port, poudriere fails:

====>> Building net-mgmt/netdata
build started at Mon Sep 25 10:30:37 CEST 2017
port directory: /usr/ports/net-mgmt/netdata
building for: FreeBSD 103amd64-default-job-07 10.3-RELEASE-p21 FreeBSD 10.3-RELEASE-p21 amd64
maintained by: mmokhi@FreeBSD.org
Makefile ident:      $FreeBSD: head/net-mgmt/netdata/Makefile 450382 2017-09-22 15:14:43Z mmokhi $
Poudriere version: 3.1.19
Host OSVERSION: 1003000
Jail OSVERSION: 1003000
Job Id: 07

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p21
UNAME_r=10.3-RELEASE-p21
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/103amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=netdata-1.8.0
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/103amd64-default/ref/.p/pool
MASTERNAME=103amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.19
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

...
...
Making install in system
Making install in web
if test -d "../.git"; then  git --git-dir="../.git" log -n 1 --format=%H;  fi > version.txt.tmp
test -s version.txt.tmp || echo 0 > version.txt.tmp
mv version.txt.tmp version.txt
if test -d "../.git"; then  git --git-dir="../.git" log -n 1 --format=%H;  fi > version.txt.tmp
test -s version.txt.tmp || echo 0 > version.txt.tmp
mv version.txt.tmp version.txt
 /bin/mkdir -p '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web'
 install  -m 0644 demo.html demo2.html demosites.html demosites2.html dashboard.html dashboard.js dashboard_info.js dashboard_info_custom_example.js dashboard.css dashboard.slate.css favicon.ico goto-host-from-alarm.html index.html infographic.html netdata-swagger.yaml netdata-swagger.json robots.txt registry.html sitemap.xml tv.html version.txt '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web'
 /bin/mkdir -p '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/css'
 install  -m 0644 css/morris-0.5.1.css css/bootstrap-3.3.7.css css/bootstrap-theme-3.3.7.min.css css/bootstrap-slate-flat-3.3.7.css css/bootstrap-toggle-2.2.2.min.css css/font-awesome.min.css css/c3-0.4.11.min.css '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/css'
 /bin/mkdir -p '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/.well-known/dnt'
 install  -m 0644 .well-known/dnt/cookies '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/.well-known/dnt'
 /bin/mkdir -p '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/fonts'
 install  -m 0644 fonts/glyphicons-halflings-regular.eot fonts/glyphicons-halflings-regular.svg fonts/glyphicons-halflings-regular.ttf fonts/glyphicons-halflings-regular.woff fonts/glyphicons-halflings-regular.woff2 fonts/FontAwesome.otf fonts/fontawesome-webfont.eot fonts/fontawesome-webfont.svg fonts/fontawesome-webfont.ttf fonts/fontawesome-webfont.woff fonts/fontawesome-webfont.woff2 '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/fonts'
 /bin/mkdir -p '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/images'
 install  -m 0644 images/alert-128-orange.png images/alert-128-red.png images/alert-multi-size-orange.ico images/alert-multi-size-red.ico images/animated.gif images/check-mark-2-128-green.png images/check-mark-2-multi-size-green.ico images/post.png images/seo-performance-16.png images/seo-performance-24.png images/seo-performance-32.png images/seo-performance-48.png images/seo-performance-64.png images/seo-performance-72.png images/seo-performance-114.png images/seo-performance-128.png images/seo-performance-256.png images/seo-performance-512.png images/seo-performance-multi-size.ico images/seo-performance-multi-size.icns '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/images'
 /bin/mkdir -p '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/lib'
 install  -m 0644 lib/bootstrap-3.3.7.min.js lib/bootstrap-table-1.11.0.min.js lib/bootstrap-table-export-1.11.0.min.js lib/bootstrap-toggle-2.2.2.min.js lib/c3-0.4.11.min.js lib/d3-3.5.17.min.js lib/dygraph-combined-dd74404.js lib/dygraph-smooth-plotter-dd74404.js lib/gauge-1.3.2.min.js lib/jquery-2.2.4.min.js lib/jquery.easypiechart-97b5824.min.js lib/perfect-scrollbar-0.6.15.min.js lib/jquery.peity-3.2.0.min.js lib/jquery.sparkline-2.1.2.min.js lib/morris-0.5.1.min.js lib/raphael-2.2.4-min.js lib/tableExport-1.6.0.min.js '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/lib'
 /bin/mkdir -p '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/old'
 install  -m 0644 old/datasource.html old/index.html old/index.js old/netdata.js old/theme.css '/wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/share/netdata/web/old'
Making install in contrib
Making install in tests
/bin/mkdir -p /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata
install  -m 0644 /wrkdirs/usr/ports/net-mgmt/netdata/work/netdata.conf.sample /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/netdata.conf.sample
/bin/mkdir -p /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/var/cache/netdata
/bin/mkdir -p /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/var/log/netdata
/bin/mkdir -p /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/var/db/netdata
====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
===========================================================================
=======================<phase: package        >============================
===>  Building package for netdata-1.8.0
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/apps_groups.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/ap.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/apache.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/apcupsd.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/cpu_apps.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/cpufreq.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/example.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/exim.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/hddtemp.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/load_average.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/mem_apps.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/mysql.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/nginx.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/nut.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/opensips.conf.sample:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/etc/netdata/charts.d/phpfpm.conf.sample:No such file or directory
...
...
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/libexec/netdata/node.d/node_modules/ber/types.js:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/netdata/work/stage/usr/local/libexec/netdata/node.d/node_modules/ber/writer.js:No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/net-mgmt/netdata
====>> Cleaning up wrkdir
===>  Cleaning for netdata-1.8.0
build of net-mgmt/netdata ended at Mon Sep 25 10:31:25 CEST 2017
build time: 00:00:48
!!! build failure encountered !!!
Comment 1 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-09-25 20:18:14 UTC
Hi, Thanks for report.
A review is already open to fix/commit.
Comment 2 commit-hook freebsd_committer 2017-09-25 20:35:14 UTC
A commit references this bug:

Author: mmokhi
Date: Mon Sep 25 20:34:16 UTC 2017
New revision: 450630
URL: https://svnweb.freebsd.org/changeset/ports/450630

Log:
  net-mgmt/netdata: Fix the pkg-plist that became broken by r450382

  PR:		222589
  Reviewed by:	mat (mentor)
  Approved by:	mat (mentor)
  Sponsored by:	Netzkommune GmbH
  Differential Revision:	https://reviews.freebsd.org/D12477

Changes:
  head/net-mgmt/netdata/Makefile
  head/net-mgmt/netdata/pkg-plist